Summary: The GNU chess program
Name: gnuchess
Version: 5.07
Release: 14.1%{?dist}
License: GPLv2+
Group: Amusements/Games
URL: ftp://ftp.gnu.org/pub/gnu/chess/
Source: ftp://ftp.gnu.org/pub/gnu/chess/%{name}-%{version}.tar.gz
#Source1: http://ftp.gnu.org/pub/gnu/chess/book_1.01.pgn.gz
# use precompiled book.dat:
Source1: book_1.01.dat.gz
Patch0: gnuchess-5.07-gcc4.patch
Patch1: gnuchess-5.06-bookpath.patch
Patch2: gnuchess-5.07-getline.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Provides: chessprogram
BuildRequires: flex

%description
The gnuchess package contains the GNU chess program.  By default,
GNU chess uses a curses text-based interface.  Alternatively, GNU chess
can be used in conjunction with the xboard user interface and the X
Window System for play using a graphical chess board.

Install the gnuchess package if you would like to play chess on your
computer.  If you'd like to use a graphical interface with GNU chess, 
you'll also need to install the xboard package and the X Window System.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .gcc
%patch1 -p1 -b .bp
%patch2 -p1 -b .getline
gzip -dc %{SOURCE1} > book/book.dat

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_var}/lib/games/gnuchess $RPM_BUILD_ROOT%{_bindir}
install -m 755 -p src/gnuchess $RPM_BUILD_ROOT%{_bindir}
install -m 644 -p book/book.dat $RPM_BUILD_ROOT%{_var}/lib/games/gnuchess

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%attr(2755,root,games) %{_bindir}/gnuchess
%dir %{_var}/lib/games/gnuchess
%attr(664,root,games) %{_var}/lib/games/gnuchess/book.dat
%doc doc/* COPYING AUTHORS NEWS TODO 


%changelog

